Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230154 - Latest Xarchiver seg faults on read
Summary: Latest Xarchiver seg faults on read
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xarchiver
Version: 6
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE7Target
TreeView+ depends on / blocked
 
Reported: 2007-02-26 21:46 UTC by Michael Cronenworth
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.2.20070103svn24249
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-02 01:35:59 UTC


Attachments (Terms of Use)

Description Michael Cronenworth 2007-02-26 21:46:01 UTC
Description of problem: When you try to open an archive, the program instantly
segfaults.


Version-Release number of selected component (if applicable):
xarchiver-0.4.9-0.1.20070128svn24772.fc6


How reproducible: Always


Steps to Reproduce:
1. Open an archive
2.
3.
  
Actual results: STRACE result:
read(5, "Xcur\20\0\0\0\0\0\1\0\3\0\0\0\2\0\375\377\30\0\0\0004\0"..., 4096) = 4096
_llseek(5, 0, [0], SEEK_SET)            = 0
read(5, "Xcur\20\0\0\0\0\0\1\0\3\0\0\0\2\0\375\377\30\0\0\0004\0"..., 4096) = 4096
close(5)                                = 0
munmap(0xaf401000, 4096)                = 0
gettimeofday({1172526138, 769159}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN|POLLPRI}], 2, 0) = 0
read(7, "d", 1)                         = 1
read(7, "r", 1)                         = 1
read(7, "w", 1)                         = 1
read(7, "x", 1)                         = 1
read(7, "r", 1)                         = 1
read(7, "w", 1)                         = 1
read(7, "x", 1)                         = 1
read(7, "r", 1)                         = 1
read(7, "w", 1)                         = 1
read(7, "x", 1)                         = 1
read(7, " ", 1)                         = 1
read(7, "1", 1)                         = 1
read(7, "0", 1)                         = 1
read(7, "0", 1)                         = 1
read(7, "0", 1)                         = 1
read(7, "/", 1)                         = 1
read(7, "1", 1)                         = 1
read(7, "0", 1)                         = 1
read(7, "0", 1)                         = 1
read(7, "0", 1)                         = 1
read(7, " ", 1)                         = 1
read(7, " ", 1)                         = 1
read(7, " ", 1)                         = 1
read(7, " ", 1)                         = 1
read(7, " ", 1)                         = 1
read(7, " ", 1)                         = 1
read(7, " ", 1)                         = 1
read(7, " ", 1)                         = 1
read(7, " ", 1)                         = 1
read(7, "0", 1)                         = 1
read(7, " ", 1)                         = 1
read(7, "2", 1)                         = 1
read(7, "0", 1)                         = 1
read(7, "0", 1)                         = 1
read(7, "7", 1)                         = 1
read(7, "-", 1)                         = 1
read(7, "0", 1)                         = 1
read(7, "1", 1)                         = 1
read(7, "-", 1)                         = 1
read(7, "1", 1)                         = 1
read(7, "7", 1)                         = 1
read(7, " ", 1)                         = 1
read(7, "1", 1)                         = 1
read(7, "4", 1)                         = 1
read(7, ":", 1)                         = 1
read(7, "3", 1)                         = 1
read(7, "5", 1)                         = 1
read(7, ":", 1)                         = 1
read(7, "5", 1)                         = 1
read(7, "4", 1)                         = 1
read(7, " ", 1)                         = 1
read(7, "x", 1)                         = 1
read(7, "f", 1)                         = 1
read(7, "c", 1)                         = 1
read(7, "e", 1)                         = 1
read(7, "4", 1)                         = 1
read(7, "-", 1)                         = 1
read(7, "w", 1)                         = 1
read(7, "a", 1)                         = 1
read(7, "v", 1)                         = 1
read(7, "e", 1)                         = 1
read(7, "l", 1)                         = 1
read(7, "a", 1)                         = 1
read(7, "n", 1)                         = 1
read(7, "-", 1)                         = 1
read(7, "p", 1)                         = 1
read(7, "l", 1)                         = 1
read(7, "u", 1)                         = 1
read(7, "g", 1)                         = 1
read(7, "i", 1)                         = 1
read(7, "n", 1)                         = 1
read(7, "-", 1)                         = 1
read(7, "0", 1)                         = 1
read(7, ".", 1)                         = 1
read(7, "5", 1)                         = 1
read(7, ".", 1)                         = 1
read(7, "4", 1)                         = 1
read(7, "/", 1)                         = 1
read(7, "\n", 1)                        = 1
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++
Process 3969 detached


Expected results: open an archive


Additional info: I'm basically stuck using the command line tools unless I go
hunt for the old xarchiver version in a YUM repository. Please get with the
Xarchiver developer (who seems to be lacking fundamental development skills in
the first place) as soon as possible.

Comment 1 Christoph Wickert 2007-03-02 00:30:19 UTC
(In reply to comment #0) 
> How reproducible: Always

For me it doesn't always segfault, but quite often. This package has been in
developlemt for more than a month and nobody complained, 

> Additional info: I'm basically stuck using the command line tools unless I go
> hunt for the old xarchiver version in a YUM repository.

yum install xarchiver-0.4.9-0.1.20070103svn.fc6 will do

> Please get with the
> Xarchiver developer (who seems to be lacking fundamental development skills in
> the first place) as soon as possible.

Could you elaborate this a little? 

I tried to update to a newer svn snapshot. This one doesn't segfault, but
unfortunately it's only showing empty archives. This is due to the tree view
upstream is implementing ATM and which is not working.

So I'm going to downgrade the package to the older version in order to fix this
bug temporarily.

Comment 2 Christoph Wickert 2007-03-02 01:35:59 UTC
New package should hit the mirrors soon. Closing.


Note You need to log in before you can comment on or make changes to this bug.